--[[
************************************************************************
Project				: SKG
Author				: zhinjio
Project Revision	: r176
Project Date		: 20090522025819

File				: SKG_GUI_Help.lua
Commit Author		: zhinjio
Commit Revision		: 176
Commit Date			: 20090522025819
************************************************************************
Description	:
	This file contained the definition of the help frame.

TODO		:

************************************************************************
(see bottom of file for changelog)
************************************************************************
--]]
local SKG = LibStub( "AceAddon-3.0"):GetAddon( "SKG" )
local SKGL = LibStub( "AceLocale-3.0"):GetLocale( "SKG" )

-- Function for switching help text
function SKG:HelpTextSwitcher( value )
	if ( value == 21 ) then
		SKG_HF_HelpText:SetJustifyH( "CENTER" )
	else
		SKG_HF_HelpText:SetJustifyH( "LEFT" )
	end

	SKG_HF_HelpText:SetText( SKGL[ SKG_HelpMap[ value ] ] )
end

-- Help Frame Creation

SKG_HelpFrame = CreateFrame( "Frame", "SKG_HelpFrame", SKG_Frame )
	SKG_HelpFrame:SetClampedToScreen( true )
	SKG_HelpFrame:SetHeight( 371 )
	SKG_HelpFrame:SetWidth( 265 )
	SKG_HelpFrame:SetPoint( "TOPLEFT", SKG_Frame, "TOPRIGHT", -5, -50 )
	SKG_HelpFrame:EnableMouse( true )
	SKG_HelpFrame:SetMovable( true )
	SKG_HelpFrame:SetFrameLevel( 1 )
	SKG_HelpFrame:SetFrameStrata( "BACKGROUND" )
	SKG_HelpFrame:SetHitRectInsets( 15, 5, 15, 300 )
	SKG_HelpFrame:Hide()

	local SKG_HF_Texture = SKG_HelpFrame:CreateTexture( "SKG_HF_Texture", "ARTWORK" )
		SKG_HF_Texture:SetTexture( [[Interface\Addons\SKG\BLP\HelpFrame_Texture]] )
		SKG_HF_Texture:SetAllPoints( SKG_HelpFrame )
		SKG_HF_Texture:SetTexCoord( (( 512 - 265 ) / 512 ), 1, 0, ( 371 / 512 ) )

	local SKG_HF_TitleText = SKG_HelpFrame:CreateFontString( "SKG_HF_TitleText", "OVERLAY", "GameFontHighlight" )
		SKG_HF_TitleText:SetText( SKGL["SKG_LBL_HF_TITLE_TEXT"] )
		SKG_HF_TitleText:SetPoint( "TOP", SKG_HelpFrame, "TOP", 0, -3 )
		SKG_HF_TitleText:SetJustifyH( "CENTER" )
		SKG_HF_TitleText:SetHeight( 14 )
		SKG_HF_TitleText:SetWidth( 200 )

	local SKG_HF_HelpText = SKG_HelpFrame:CreateFontString( "SKG_HF_HelpText", "OVERLAY", "GameFontNormalSmall" )
		SKG_HF_HelpText:SetText( SKGL[ SKG_HelpMap[1] ] )
		SKG_HF_HelpText:SetFont( [[Fonts\ARIALN.TTF]], 11 )
		SKG_HF_HelpText:SetPoint( "TOPLEFT", SKG_HelpFrame, "TOPLEFT", 20, -65 )
		SKG_HF_HelpText:SetJustifyH( "LEFT" )
		SKG_HF_HelpText:SetJustifyV( "TOP" )


		SKG_HF_HelpText:SetHeight( 330 )
		SKG_HF_HelpText:SetWidth( 230 )

	local SKG_HF_TopicChooser = SKG_CreateButton("SKG_HF_TopicChooser", SKG_HelpFrame, 20, 210,
		"TOP", SKG_HelpFrame, "TOP", 0, -30, "GameFontNormalSmall", "GameFontHighlightSmall",
		SKGL["SKG_LBL_HF_CHOOSER_TEXT"], "CENTER", "SKG_HF_CHOOSER_TT" )

		-- function to call when this menu is clicked...
		function MouseHandler_HFTCQTC( event, cell, index, button )
			SKG:HelpTextSwitcher( index )
			SKG_TopicChooser_QTC:Hide()
		end
		
		SKG_HF_TopicChooser:SetScript( "OnClick", function() 
			SKG_TopicChooser_QTC = LQTC:Acquire( "HelpTopicChooser", 1, "LEFT" )
			SKG_TopicChooser_QTC:Clear()
			SKG_TopicChooser_QTC:SetCallback( "OnMouseDown", MouseHandler_HFTCQTC )
			-- Populate dropdown
			local lineNum = 0
			local topicText = ""
			for index = 1, SKG_Help_NumOptions do
				lineNum = SKG_TopicChooser_QTC:AddLine()
				topicText = SKGL[ "SKG_HELPMENU_" .. index ]
				SKG_TopicChooser_QTC:SetCell( lineNum, 1, topicText, "LEFT", 1, index )
			end
			SKG_TopicChooser_QTC:EnableMouse()
			SKG_TopicChooser_QTC:SetAutoHideDelay( 1, SKG_HF_TopicChooser )
			SKG_TopicChooser_QTC:SmartAnchorTo( SKG_HF_TopicChooser )
			SKG_TopicChooser_QTC:Show()
		end )

-- OnLoad stuff here

--[[
************************************************************************
CHANGELOG:

Date : 10/25/08
	Initial attempt with Ace3 instead of LibRock. Added header/footer.
************************************************************************
]]--
